Bug 1001964 - java-1.7.0-openjdk.i686 missing on x86_64 install
java-1.7.0-openjdk.i686 missing on x86_64 install
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: java-1.7.0-openjdk (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 04:28 EDT by Michael McTernan
Modified: 2013-09-06 13:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-28 12:05:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael McTernan 2013-08-28 04:28:18 EDT
Description of problem:
java-1.7.0-openjdk.i686 and java-1.7.0-openjdk-devel.i686 are not found by yum, cannot be installed.


Version-Release number of selected component (if applicable):
Fedora 19


How reproducible:
100%


Steps to Reproduce:
$ sudo yum install java-1.7.0-openjdk-devel.i686


Actual results:
$ sudo yum install java-1.7.0-openjdk-devel.i686
Loaded plugins: auto-update-debuginfo, changelog, langpacks
No package java-1.7.0-openjdk-devel.i686 available.
Error: Nothing to do


Expected results:
Package should be fetched and installed along with dependencies.


Additional info:
$ sudo yum clean all
Loaded plugins: auto-update-debuginfo, changelog, langpacks
Cleaning repos: adobe-linux-x86_64 fedora updates
Cleaning up everything

$ sudo yum search java-1.7.0-openjdk
Loaded plugins: auto-update-debuginfo, changelog, langpacks
adobe-linux-x86_64                                                                                              |  951 B  00:00:00     
fedora/19/x86_64/metalink                                                                                       |  33 kB  00:00:00     
fedora                                                                                                          | 4.2 kB  00:00:00     
updates/19/x86_64/metalink                                                                                      |  28 kB  00:00:00     
updates                                                                                                         | 4.6 kB  00:00:00     
(1/4): updates/19/x86_64/group_gz                                                                               | 385 kB  00:00:00     
(2/4): fedora/19/x86_64/group_gz                                                                                | 384 kB  00:00:00     
(3/4): updates/19/x86_64/primary_db                                                                             | 7.6 MB  00:00:04     
(4/4): fedora/19/x86_64/primary_db                                                                              |  17 MB  00:00:10     
(1/3): adobe-linux-x86_64/primary                                                                               | 1.2 kB  00:00:00     
(2/3): updates/19/x86_64/pkgtags                                                                                | 538 kB  00:00:00     
(3/3): updates/19/x86_64/updateinfo                                                                             | 736 kB  00:00:00     
adobe-linux-x86_64                                                                                                                 2/2
=================================================== N/S matched: java-1.7.0-openjdk ===================================================
java-1.7.0-openjdk-debuginfo.x86_64 : Debug information for package java-1.7.0-openjdk
java-1.7.0-openjdk.x86_64 : OpenJDK Runtime Environment
java-1.7.0-openjdk-accessibility.x86_64 : OpenJDK accessibility connector
java-1.7.0-openjdk-demo.x86_64 : OpenJDK Demos
java-1.7.0-openjdk-devel.x86_64 : OpenJDK Development Environment
java-1.7.0-openjdk-javadoc.noarch : OpenJDK API Documentation
java-1.7.0-openjdk-src.x86_64 : OpenJDK Source Bundle

  Name and summary matches only, use "search all" for everything.
$

Note that the 1.8.0 version has both i686 and x86_64 packages available:


$ sudo yum search java-1.8.0-openjdk
Loaded plugins: auto-update-debuginfo, changelog, langpacks
=================================================== N/S matched: java-1.8.0-openjdk ===================================================
java-1.8.0-openjdk-debuginfo.x86_64 : Debug information for package java-1.8.0-openjdk
java-1.8.0-openjdk.i686 : OpenJDK Runtime Environment
java-1.8.0-openjdk.x86_64 : OpenJDK Runtime Environment
java-1.8.0-openjdk-demo.x86_64 : OpenJDK Demos
java-1.8.0-openjdk-devel.i686 : OpenJDK Development Environment
java-1.8.0-openjdk-devel.x86_64 : OpenJDK Development Environment
java-1.8.0-openjdk-javadoc.noarch : OpenJDK API Documentation
java-1.8.0-openjdk-src.x86_64 : OpenJDK Source Bundle
$
Comment 1 Deepak Bhole 2013-08-28 12:05:13 EDT
Hi Michael,

i686 on x86_64 is not supported for OpenJDK packages in Fedora. OpenJDK8 i686 appearing there is a mistake as we do not support that configuration.
Comment 2 Michael McTernan 2013-08-31 04:16:13 EDT
(In reply to Deepak Bhole from comment #1)
> OpenJDK8 i686 appearing there is a mistake as we do not support that
> configuration.

How does that fit with CLOSED/NOTABUG - wouldn't it be prudent to remove the JDK8 package in that case?
Comment 3 Deepak Bhole 2013-09-06 13:14:52 EDT
Removing the package is an issue for Fedora release engineering and they have a separate tracker for issues.

We have recently opened an issue on their tracker to have i686 OpenJDK8 removed from x86_64:
https://fedorahosted.org/rel-eng/ticket/5762

Note You need to log in before you can comment on or make changes to this bug.